PUT /rest/employees/{employee}/vacation_entitlements
curl --request PUT \
--url https://{tenant}.stamp.eu/rest/employees/{employee}/vacation_entitlements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"year": 2060,
"total_days": 1,
"carried_over": 1,
"statutory_days": 1,
"extra_days": 1,
"carryover_expires_at": "2023-11-07T05:31:56Z",
"extra_expires_at": "2023-11-07T05:31:56Z",
"note": "<string>"
}
'import requests
url = "https://{tenant}.stamp.eu/rest/employees/{employee}/vacation_entitlements"
payload = {
"year": 2060,
"total_days": 1,
"carried_over": 1,
"statutory_days": 1,
"extra_days": 1,
"carryover_expires_at": "2023-11-07T05:31:56Z",
"extra_expires_at": "2023-11-07T05:31:56Z",
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
year: 2060,
total_days: 1,
carried_over: 1,
statutory_days: 1,
extra_days: 1,
carryover_expires_at: '2023-11-07T05:31:56Z',
extra_expires_at: '2023-11-07T05:31:56Z',
note: '<string>'
})
};
fetch('https://{tenant}.stamp.eu/rest/employees/{employee}/vacation_entitlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"employee_id": "<string>",
"year": "<string>",
"total_days": 123,
"used_days": 123,
"remaining_days": 123,
"carried_over": 123,
"buckets": [
{
"bucket": "<string>",
"granted": 123,
"used": 123,
"remaining": 123,
"expires_at": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Urlaubsanspruch & Zeitkonto
Urlaubsanspruch aktualisieren
Create or update a vacation entitlement for a year. Value changes are
routed through the ledger allocator as grant (creation) or
adjustment (existing) transactions so the ledger stays authoritative.
PUT
/
employees
/
{employee}
/
vacation_entitlements
PUT /rest/employees/{employee}/vacation_entitlements
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Path Parameters
The employee ID
Body
application/json
Required range:
2020 <= x <= 2100Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Maximum string length:
1000Response
VacationEntitlementResource
Show child attributes
Show child attributes
⌘I